
// #ifndef VUE3
import Vue from 'vue'
import App from './App'
import axios from "axios"
import qs from 'qs'
import getUrlKey from './utils/getToken.js'
localStorage.setItem('user_token',getUrlKey('user_token'))
console.log(localStorage.getItem('user_token'))

//引入公共接口
import {myRequest} from './utils/api.js'
//挂载全局
Vue.prototype.$myRequest = myRequest

Vue.config.productionTip = false

App.mpType = 'app'
Vue.prototype.$axios = axios;
Vue.prototype.$qs = qs;

const app = new Vue({
    ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
import App from './App.vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif